# Add Website

## Add a single website to your account.

<mark style="color:green;">`POST`</mark> `https://getgeoflow.com/beta/api/add-website/:accountID`

Add a single website to your Geoflow account by passing a valid URL (including https) and the Webflow site ID. Optionally provide a name for your website, otherwise one will be randomly generated for you.

#### Path Parameters

| Name                                        | Type   | Description     |
| ------------------------------------------- | ------ | --------------- |
| accountID<mark style="color:red;">\*</mark> | String | Your Account ID |

#### Headers

| Name                                            | Type   | Description      |
| ----------------------------------------------- | ------ | ---------------- |
| Content-Type<mark style="color:red;">\*</mark>  | String | application/json |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer \<TOKEN>  |

#### Request Body

| Name                                         | Type   | Description                  |
| -------------------------------------------- | ------ | ---------------------------- |
| websiteURL<mark style="color:red;">\*</mark> | String | Valid Website URL with HTTPS |
| websiteID<mark style="color:red;">\*</mark>  | String | Your Webflow Site ID         |
| websiteName                                  | String | Your Website Name            |

{% tabs %}
{% tab title="201: Created Website Added Successfully" %}

```json
{
    "status": 201,
    "message": "Success",
    "description": "Your website was successfully added to your Geoflow account."
}
```

{% endtab %}

{% tab title="401: Unauthorized Unauthorized Request" %}

```json
{
    "status": 401,
    "message": "Unauthorized",
    "description": "No API key was provided or you do not have access to this resource. Please provide a valid Geoflow REST API key or contact support."
}
```

{% endtab %}

{% tab title="429: Too Many Requests Exceeded Rate Limit" %}

```json
{
    "status": 429,
    "message": "Too Many Requests",
    "description": "You have sent too many requests in a given amount of time. Please wait before sending more requests."
}
```

{% endtab %}

{% tab title="404: Not Found Invalid Account ID or Endpoint" %}

```json
{
    "status": 404,
    "message": "Not Found",
    "description": "The endpoint you are trying to access does not exist or has been moved, or an invalid account ID was added as a parameter. Please refer to the Geoflow REST API documentation for further information or contact support."
}
```

{% endtab %}

{% tab title="405: Method Not Allowed Prohibited Method" %}

```json
{
    "status": 405,
    "message": "Method Not Allowed",
    "description": "The HTTP method used is not supported for this endpoint. Please refer to the Geoflow REST API documentation for further information or contact support."
}
```

{% endtab %}

{% tab title="500: Internal Server Error Unknown Error" %}

```json
{
    "status": 500,
    "message": "Internal Server Error",
    "description": "An unexpected error occurred on the server. The Geoflow API may be down or encountering another issue. Please try again later or contact support."
}
```

{% endtab %}
{% endtabs %}

{% hint style="warning" %}
**Developer Warning**: Never share your API key with anyone or add it to client-side code. Where possible, use environment variables in your backend to keep your API key secure.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.getgeoflow.com/geoflow-docs/advanced/api/add-website.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
